function KeyboardController() {
	
	this.keysPressed = {};

	document.addEventListener('keydown', function(event){
		
		this.keysPressed[ event.key ] = true;

	}.bind(this));
	document.addEventListener('keyup', function(event){
		
		this.keysPressed[ event.key ] = false;

	}.bind(this));

	Object.defineProperties(this, {
		right: {
			get: this.isPressed.bind(this, 'ArrowRight')
		},
		left: {
			get: this.isPressed.bind(this, 'ArrowLeft')
		}
	})

	return this;

}
KeyboardController.prototype = {};
KeyboardController.prototype.isPressed = function( key ){
	return !!this.keysPressed[key]
}
KeyboardController.prototype.readPress = function( key ){
	var ret = this.isPressed( key );
	this.keysPressed[key] = false;
	return ret;
}