function extendEnemy( Enemy, lib ) {

	lib.Enemy = function( type ){
		Enemy.apply(this);

		this.BASE_SPEED = 5;
		this.colors = [
			0xf8c7bd,
			0xb87cb2,
			0x737eba,
			0x043110,
			0x202503,
			0xd1aa40
		];

		this.gotoAndStop( type );

		this._level = 1;
		this.state = 'normal';

		Object.defineProperties(this,{
			life: {
				get: function(){ return Math.floor(this._level) }
			},
			speed: {
				get: function(){ return this.life*this.BASE_SPEED }
			}
		})

		this.tint();

	}
	lib.Enemy.prototype = Enemy.prototype;
	Enemy.prototype.takeDamage = function( damage ){
		this._level -= damage;
		if( this._level <= 0 ) this._level = 0;
		else this.tint();
	}
	Enemy.prototype.die = function( callback ){
		callback();
	}
	Enemy.prototype.repel = function(){
		this.state = 'repeled';
		this._level = Math.min( this.colors.length, this._level + 0.5);
		this.tint();
	}
	Enemy.prototype.stun = function(){
		this.stateTime = createjs.Ticker.getTime();
		this.state = 'stun';
	}
	Enemy.prototype.update = function(ds){
		if(this.state == 'stun'){
			if( createjs.Ticker.getTime() - this.stateTime > 2000 )
				this.state = 'normal';
		}
	}
	Enemy.prototype.tint = function() {
		var color = hexToRGB(this.colors[this.life-1]);
		this.sprite.tinted.filters = [
			new createjs.ColorFilter(color.r, color.g, color.b)
		]
		this.sprite.tinted.cache(
			this.nominalBounds.x,
			this.nominalBounds.y,
			this.nominalBounds.width,
			this.nominalBounds.height
		);
		this.cache(
			this.nominalBounds.x,
			this.nominalBounds.y,
			this.nominalBounds.width,
			this.nominalBounds.height
		);
	}

	function hexToRGB(col){
		return {
			r: (col >> 16) / 0xFF,
			g: (col >> 8 & 0xFF) / 0xFF,
			b: (col & 0xFF) / 0xFF
		}
	}

}