function extendHero( Hero, lib ) {

	lib.Hero = function() {
		Hero.apply(this);
		this.stop();
		
		this.ACC = 10000;
		this.FRICTION = 1300;
		this.MAX_SPEED = 400;

		this.speed = 0;
		this._mana = 1;

		this.switchSpell('repel');

		this.costs = {
			'repel' : .3,
			'damage' : .5
		}
		
		Object.defineProperties(this, {
			mana: {
				get: function(){ return this._mana }
			}
		});

	}
	lib.Hero.prototype = Hero.prototype;

	Hero.prototype.castBall = function(){

		if( this._mana >= this.costs['repel'] ){
			this._mana -= this.costs['repel'];

			var ball = new lib.Ball( 'repel' );
			ball.x = this.x;
			ball.y = this.y - 60;
			ball.speedX = 10;
			ball.speedY = -300;

			return ball;

		}

		return null;

	}

	Hero.prototype.switchSpell = function( spell ){
		if( spell != 'repel' ){
			if( this.mana < this.costs[spell] || this.spell == spell )
				return;
			this._mana -= this.costs[spell];
		}
		this.spell = spell;
		this.spellTime = createjs.Ticker.getTime();
		this.shield.gotoAndStop(spell);
	}

	Hero.prototype.update = function(ds){
		this._mana = Math.min(1, this._mana + 0.1*ds);
	}

}